Regression in adding octavia to an existing deployment

Bug #1849548 reported by Brent Eagles on 2019-10-23
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
tripleo
High
Brent Eagles

Bug Description

The fix to https://bugs.launchpad.net/tripleo/+bug/1838039 resolves the issue of breaking existing loadbalancers but makes it impossible to autogenerate certificates when adding octavia to an existing deployment.

Brent Eagles (beagles) on 2019-10-23
Changed in tripleo:
status: New → Triaged
milestone: none → ussuri-1
assignee: nobody → Brent Eagles (beagles)
importance: Undecided → High
Changed in tripleo:
milestone: ussuri-1 → ussuri-2
wes hayutin (weshayutin) on 2020-02-10
Changed in tripleo:
milestone: ussuri-2 → ussuri-3
wes hayutin (weshayutin) on 2020-04-13
Changed in tripleo:
milestone: ussuri-3 → ussuri-rc3
wes hayutin (weshayutin) on 2020-05-26
Changed in tripleo:
milestone: ussuri-rc3 → victoria-1

Reviewed: https://review.opendev.org/714982
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=648cde501eb31766ed333f48ac1f6a4854b26c41
Submitter: Zuul
Branch: master

commit 648cde501eb31766ed333f48ac1f6a4854b26c41
Author: Gregory Thiemonge <email address hidden>
Date: Wed Mar 25 17:11:11 2020 +0100

    Update octavia playbooks parameters

    StackAction no longer conditions generate_certs.
    Forward OctaviaGenerateCerts to the playbooks and add StackAction value
    as parameter, the need of creating certificates is now handled in the
    ansible playbook.

    Change-Id: I9aaeec1d9f8623cbd99b2f83254dda038651f0a2
    Related-Bug: #1849548

Reviewed: https://review.opendev.org/692599
Committed: https://git.openstack.org/cgit/openstack/tripleo-ansible/commit/?id=d3e7a42cdad6a12d63afd23906cffe081f036745
Submitter: Zuul
Branch: master

commit d3e7a42cdad6a12d63afd23906cffe081f036745
Author: Brent Eagles <email address hidden>
Date: Fri Nov 1 15:36:37 2019 -0230

    Scan existing controllers on update to pick up existing certs/private keys

    Adds an octavia related role to pick up CA (cert and private key pairs)
    and client certificate from controllers and modifies existing roles to
    use them instead of generating new ones.

    Depends-On: https://review.opendev.org/714982

    Change-Id: I5c18a59bf11e3915ef5f88c1eb2af1b4713af35b
    Co-Authored-By: Gregory Thiemonge <email address hidden>
    Related-Bug: #1849548
    Related-Bug: #1849550

Changed in tripleo:
milestone: victoria-1 → victoria-3

Reviewed: https://review.opendev.org/744183
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=5f336195f622c0191eb7cc432ff49a81a9d97e3b
Submitter: Zuul
Branch: stable/ussuri

commit 5f336195f622c0191eb7cc432ff49a81a9d97e3b
Author: Gregory Thiemonge <email address hidden>
Date: Wed Mar 25 17:11:11 2020 +0100

    Update octavia playbooks parameters

    StackAction no longer conditions generate_certs.
    Forward OctaviaGenerateCerts to the playbooks and add StackAction value
    as parameter, the need of creating certificates is now handled in the
    ansible playbook.

    Change-Id: I9aaeec1d9f8623cbd99b2f83254dda038651f0a2
    Related-Bug: #1849548
    (cherry picked from commit 648cde501eb31766ed333f48ac1f6a4854b26c41)

tags: added: in-stable-ussuri

Reviewed: https://review.opendev.org/744184
Committed: https://git.openstack.org/cgit/openstack/tripleo-ansible/commit/?id=2e5be7b96859d1eff7c2680c6780e3ac27c6dd63
Submitter: Zuul
Branch: stable/ussuri

commit 2e5be7b96859d1eff7c2680c6780e3ac27c6dd63
Author: Brent Eagles <email address hidden>
Date: Fri Nov 1 15:36:37 2019 -0230

    Scan existing controllers on update to pick up existing certs/private keys

    Adds an octavia related role to pick up CA (cert and private key pairs)
    and client certificate from controllers and modifies existing roles to
    use them instead of generating new ones.

    Depends-On: https://review.opendev.org/744183

    Change-Id: I5c18a59bf11e3915ef5f88c1eb2af1b4713af35b
    Co-Authored-By: Gregory Thiemonge <email address hidden>
    Related-Bug: #1849548
    Related-Bug: #1849550
    (cherry picked from commit d3e7a42cdad6a12d63afd23906cffe081f036745)

Reviewed: https://review.opendev.org/745529
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=1eb954241bb4988e9ab6a9a74f0d277fe33726d6
Submitter: Zuul
Branch: stable/train

commit 1eb954241bb4988e9ab6a9a74f0d277fe33726d6
Author: Gregory Thiemonge <email address hidden>
Date: Wed Mar 25 17:11:11 2020 +0100

    Update octavia playbooks parameters

    StackAction no longer conditions generate_certs.
    Forward OctaviaGenerateCerts to the playbooks and add StackAction value
    as parameter, the need of creating certificates is now handled in the
    ansible playbook.

    Change-Id: I9aaeec1d9f8623cbd99b2f83254dda038651f0a2
    Related-Bug: #1849548
    (cherry picked from commit 648cde501eb31766ed333f48ac1f6a4854b26c41)
    (cherry picked from commit 5f336195f622c0191eb7cc432ff49a81a9d97e3b)

tags: added: in-stable-train

Reviewed: https://review.opendev.org/745530
Committed: https://git.openstack.org/cgit/openstack/tripleo-ansible/commit/?id=b94fb8e9d85939e4942bc0d77222e2118552de71
Submitter: Zuul
Branch: stable/train

commit b94fb8e9d85939e4942bc0d77222e2118552de71
Author: Brent Eagles <email address hidden>
Date: Fri Nov 1 15:36:37 2019 -0230

    Scan existing controllers on update to pick up existing certs/private keys

    Adds an octavia related role to pick up CA (cert and private key pairs)
    and client certificate from controllers and modifies existing roles to
    use them instead of generating new ones.

    Depends-On: https://review.opendev.org/745529

    Change-Id: I5c18a59bf11e3915ef5f88c1eb2af1b4713af35b
    Co-Authored-By: Gregory Thiemonge <email address hidden>
    Related-Bug: #1849548
    Related-Bug: #1849550
    (cherry picked from commit d3e7a42cdad6a12d63afd23906cffe081f036745)
    (cherry picked from commit 2e5be7b96859d1eff7c2680c6780e3ac27c6dd63)

Reviewed: https://review.opendev.org/746911
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=90ca8ec219eaa97d0d00a8b4e10ffd1e2b418360
Submitter: Zuul
Branch: stable/queens

commit 90ca8ec219eaa97d0d00a8b4e10ffd1e2b418360
Author: Gregory Thiemonge <email address hidden>
Date: Wed Mar 25 17:11:11 2020 +0100

    Update octavia playbooks parameters

    StackAction no longer conditions generate_certs.
    Forward OctaviaGenerateCerts to the playbooks and add StackAction value
    as parameter, the need of creating certificates is now handled in the
    ansible playbook.

    Change-Id: I9aaeec1d9f8623cbd99b2f83254dda038651f0a2
    Related-Bug: #1849548
    (cherry picked from commit 648cde501eb31766ed333f48ac1f6a4854b26c41)
    (cherry picked from commit 5f336195f622c0191eb7cc432ff49a81a9d97e3b)
    (cherry picked from commit 1eb954241bb4988e9ab6a9a74f0d277fe33726d6)

tags: added: in-stable-queens

Reviewed: https://review.opendev.org/746912
Committed: https://git.openstack.org/cgit/openstack/tripleo-common/commit/?id=6b14e3f6d3b7a8ea72c04971c0c9c73e592592a2
Submitter: Zuul
Branch: stable/queens

commit 6b14e3f6d3b7a8ea72c04971c0c9c73e592592a2
Author: Brent Eagles <email address hidden>
Date: Mon Aug 17 14:02:04 2020 +0200

    Scan existing controllers on update to pick up existing certs/private keys

    Adds an octavia related role to pick up CA (cert and private key pairs)
    and client certificate from controllers and modifies existing roles to
    use them instead of generating new ones.

    Depends-On: https://review.opendev.org/746911

    Change-Id: I5c18a59bf11e3915ef5f88c1eb2af1b4713af35b
    Co-Authored-By: Gregory Thiemonge <email address hidden>
    Related-Bug: #1849548
    Related-Bug: #1849550
    (cherry picked from commit d3e7a42cdad6a12d63afd23906cffe081f036745)
    (cherry picked from commit 2e5be7b96859d1eff7c2680c6780e3ac27c6dd63)
    Note-Queens: cherry picked from tripleo-ansible stein
    (cherry picked from commit b94fb8e9d85939e4942bc0d77222e2118552de71)

Changed in tripleo:
milestone: victoria-3 → wallaby-1
Brent Eagles (beagles) on 2020-11-04
Changed in tripleo:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.